

#include <Servo.h>

Servo s1;

const int pingPin=7;//ping input-output
long duration;
int stopmotor=4;//stop output to motor controller
const int pwmA=3;//voltage to actuator motor
const int dirA=12;

void setup () {
  pinMode(stopmotor, OUTPUT);
  digitalWrite (stopmotor, LOW);

  s1.attach(2);//use pin 2 for claw motor
  pinMode(dirA,OUTPUT);
  digitalWrite(dirA,HIGH);//set for going up
  analogWrite(pwmA,0);//no voltage on actuator

  s1.write(30);//start position of claw
  
}

void loop () {

  digitalWrite (stopmotor,LOW);
  delay(10);
  pinMode (pingPin,OUTPUT);//start of ultrasonic test
  digitalWrite (pingPin,LOW);
  delayMicroseconds (2);
  digitalWrite (pingPin,HIGH);
  delayMicroseconds(5);
  digitalWrite (pingPin,LOW);
  pinMode (pingPin,INPUT);//listen for pulse back
  duration=pulseIn (pingPin,HIGH);
  if (duration<275) {//distance to thing value
    

    digitalWrite (stopmotor,HIGH);
    s1.write(150);//close claw
    delay(1000);//wait before lifting
    digitalWrite(dirA,HIGH);//go up
    analogWrite (pwmA,140);//half voltage on lifter
    delay (10500);//13 seconds of run time
    analogWrite (pwmA,0);
    digitalWrite(stopmotor,LOW);//reset stop command
    delay(30000);
    s1.write(30);//open claw
    delay(1000);
    
    
    digitalWrite (dirA,LOW);//reverse lifter motor
    analogWrite (pwmA,140);
    
    
    delay(10000);
    
    analogWrite (pwmA,0);
  }
  }


